For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Fork this repoGet a demo
  • Get Started
    • Welcome
    • Concepts
    • SDKs
  • API Reference
      • GETLogs user into the system
      • GETLogs out current logged-in user session
      • GETGet user by username
LogoLogo
Fork this repoGet a demo
API Referenceuser

Get user by username

GET
https://api.plantstore.dev/v3/user/:username
GET
/v3/user/:username
$curl https://api.plantstore.dev/v3/user/username
200Retrieved
1{
2 "id": 1,
3 "username": "john_doe",
4 "email": "john@example.com"
5}
Retrieve user details using their username.
Was this page helpful?
Previous
Built with

Path parameters

usernamestringRequired
Username of the user to retrieve

Response

User details retrieved successfully
idinteger
usernamestring
emailstring